:root {
  --primary-color: #004b6f;
  --primary-darker-color: #0079ad;
  --success-color: #577505;
  --error-color: #b60015;
  --error-darker-color: #9a0111;
  --canvas-color: #f0efe4;
  --canvas-darker-color: #d3d2c4;
  // neue CSS-Variable für die Rahmenfarbe um Input-Felder
  --input-border-color: #d3d2c4;
}

@font-face {
  font-display: swap;
  font-family: 'Bebas Neue';
  font-style: normal;
  font-weight: 400;
  src: url('./assets/fonts/bebas-neue-v14-latin-regular.woff2') format('woff2');
}

html {
  font-family: sans-serif;
  color: var(--primary-color);
}

body {
  background-image: url("./assets/images/pattern-noise.png");
  margin: 0;
}

.header {
  background: var(--primary-color);
  color: #fff;
  padding: 3rem 0;
}

.header h1 {
  font-family: "Bebas Neue", sans-serif;
  font-weight: normal;
  font-size: 3rem;
  margin: 0 auto;
  max-width: 1000px;
  text-align: center;
  text-transform: uppercase;
}

h2 {
  font-family: "Bebas Neue", sans-serif;
  font-weight: normal;
  font-size: 2rem;
}

.main {
  margin: 0 auto;
  max-width: 1000px;
  padding: 1rem;
}

.panel {
  border-radius: .25rem;
  background: var(--canvas-color);
  box-shadow: 0 1px 2px 1px rgba(0, 0, 0, .2);
  padding: 1rem;
}

/*
  TODOs
*/

.todo-list {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  list-style-type: none;
  padding: 0;
}


/*
  BUTTON
*/

.button {
  box-sizing: content-box;
  background: var(--primary-color);
  border: 0;
  border-radius: 1.6rem;
  box-shadow: 0 1px 2px 1px rgba(0, 0, 0, .2);
  color: #fff;
  cursor: pointer;
  font-family: "Bebas Neue", sans-serif;
  font-size: 1.2rem;
  line-height: 1.2rem;
  padding: 1rem;

  &:hover {
    background: var(--primary-darker-color);
  }
  // Zusätzliche Styleklasse für den Abbrechen-Button
  &.button--default {
    color: var(--primary-darker-color);
    border-color: var(--primary-darker-color);
    background-color: #fff;
    border: solid 1px var(--primary-color);
    &:hover {
      background-color: var(--primary-darker-color);
      color: #fff;
    }
  }
}

.button--small {
  padding: .5rem;
  border-radius: 1.1rem;
  height: 1.2rem;
  width: 1.2rem;
}

.button--danger {
  background: var(--error-color);

  &:hover {
    background: var(--error-darker-color);
  }
}

/*
  RESPONSIVE
*/

@media (min-width: 800px) {
  .main {
    display: flex;
    gap: 2rem;
  }

  .todos,
  .todo-form {
    flex: 1;
  }
}
